Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.element
Interface IFilterCondition

    public interface IFilterCondition

Represents the design of an FilterCondition in the scripting environment

Method Summary
`java.lang.String` | `getExpr()` Returns expr
`java.lang.String` | `getOperator()` Returns operator
`org.eclipse.birt.report.model.api.core.IStructure` | `getStructure()` Returns structure.
`java.lang.String` | `getValue1()` Returns value1
`java.lang.String` | `getValue2()` Returns value2
`void` | `setExpr(java.lang.String expr)` Sets expr
`void` | `setOperator(java.lang.String operator)` Sets operator
`void` | `setValue1(java.lang.String value1)` Sets value1
`void` | `setValue2(java.lang.String value2)` Sets value2

Method Detail

### getOperator

    java.lang.String getOperator()

  Returns operator

  Returns:
    operator

### setOperator

    void setOperator(java.lang.String operator)
                     throws ScriptException

  Sets operator

  Parameters:
    `operator` -
  Throws:
    `ScriptException`

### getValue1

    java.lang.String getValue1()

  Returns value1

  Returns:
    value1

### setValue1

    void setValue1(java.lang.String value1)
                   throws ScriptException

  Sets value1

  Parameters:
    `value1` -
  Throws:
    `ScriptException`

### getValue2

    java.lang.String getValue2()

  Returns value2

  Returns:
    value2

### setValue2

    void setValue2(java.lang.String value2)
                   throws ScriptException

  Sets value2

  Parameters:
    `value2` -
  Throws:
    `ScriptException`

### getStructure

    org.eclipse.birt.report.model.api.core.IStructure getStructure()

  Returns structure.

  Returns:
    structure

### setExpr

    void setExpr(java.lang.String expr)
                 throws ScriptException

  Sets expr

  Parameters:
    `expr` -
  Throws:
    `ScriptException`

### getExpr

    java.lang.String getExpr()

  Returns expr

  Returns:
    expr

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.